#ifndef _CONFIG_H_
#define _CONFIG_H_

#define _LCD_        // If defined, the _LCD_ display will be used
#define _TEMP_MON_   // If defined, temperature monitoring will be used


// our point structure to make things nice.
typedef struct LongPoint {
  long x;
  long y;
  long z;
} t_longPont;

typedef struct FloatPoint {
  float x;
  float y;
  float z;
} t_floatPoint;

// define the parameters of our machine.
//#define X_STEPS_PER_INCH 4064 //(160x24,5)
//#define X_STEPS_PER_MM   160 //(M8=>Paso:1,25mm; 360/1,25=>1mm=288º; 288ºpormm/1,8ºpor paso=160 Pasos por mm 

//#define Y_STEPS_PER_INCH 4064
//#define Y_STEPS_PER_MM   160

//#define Z_STEPS_PER_INCH 4064
//#define Z_STEPS_PER_MM   160

#define X_STEPS_PER_INCH 26133  //(160x24,5)
#define X_STEPS_PER_MM   1067  //(M10=>Paso:1,50mm; 360/1,50=>1mm=240º; 240ºpormm/1,8ºpor paso=133.333 Pasos por mm 

#define Y_STEPS_PER_INCH 26133 //(160x24,5)
#define Y_STEPS_PER_MM   1067  //(M10=>Paso:1,50mm; 360/1,50=>1mm=240º; 240ºpormm/1,8ºpor paso=133.333 Pasos por mm 

#define Z_STEPS_PER_INCH 26133 //(160x24,5)
#define Z_STEPS_PER_MM   1067  //(M10=>Paso:1,50mm; 360/1,50=>1mm=240º; 240ºpormm/1,8ºpor paso=133.333 Pasos por mm 

//our maximum feedrates
#define FAST_XY_FEEDRATE 2400
#define FAST_Z_FEEDRATE  2400

// Units in curve section
#define CURVE_SECTION_INCHES 0.019685
#define CURVE_SECTION_MM 0.5

// Set to one if sensor outputs inverting (ie: 1 means open, 0 means closed)
// RepRap opto endstops are *not* inverting.
#define SENSORS_INVERTING 0

// How many temperature samples to take.  each sample takes about 100 usecs.


/****************************************************************************************
* digital i/o pin assignment
*
* this uses the undocumented feature of Arduino - pins 14-19 correspond to analog 0-5
****************************************************************************************/

//cartesian bot pins
#define X_STEP_PIN 5
#define X_DIR_PIN 6
#define X_MIN_PIN 0
#define X_MAX_PIN 0
#define X_ENABLE_PIN 12

#define Y_STEP_PIN 7
#define Y_DIR_PIN  8
#define Y_MIN_PIN 0
#define Y_MAX_PIN 0
#define Y_ENABLE_PIN 12

#define Z_STEP_PIN 9
#define Z_DIR_PIN 10
#define Z_MIN_PIN 0
#define Z_MAX_PIN 0
#define Z_ENABLE_PIN 12


#define MOTOR_PIN 0        //Encendido/apagado cabezal (Analog 5)

#define COMMAND_SIZE 128   //Size of commands

#endif

